function s = random_seeds(c, n, seed)
  % Get random seed nodes from the clusters in c
  if nargin>=3 && seed>=0
    srand(seed);
  elseif nargin<3 || seed==0
    srand(1);
  end
  s = sparse(size(c,1),size(c,2));
  for k=1:size(c,2)
    [i] = find(c(:,k));
    s(:,k) = sparse(i(randperm(length(i),min(length(i),n))),1,1,size(c,1),1);
  end
end

