function filename = output_file_for_experiment(method,dataset,seed,rep)
  % Which file to store the summary results of an experiment in.
  % This allows us to first run the experiments, and then print any results we want separately.
  if isstruct(method),  method  = method.name; end
  if isstruct(dataset), dataset = dataset.name; end
  if isstruct(seed),    seed    = seed.name; end
  outdir = '../out';
  filename = sprintf('%s/summary-%s-on-%s-with-%s-rep-%d.mat', outdir, method, dataset, seed, rep);
end

